# Created by https://www.toptal.com/developers/gitignore/api/windows,linux,visualstudiocode,cmake

# Edit at https://www.toptal.com/developers/gitignore?templates=windows,linux,visualstudiocode,cmake


### CMake ###

CMakeLists.txt.user

CMakeCache.txt

CMakeFiles

CMakeScripts

Testing

Makefile

cmake_install.cmake

install_manifest.txt

compile_commands.json

CTestTestfile.cmake

_deps


### CMake Patch ###

# External projects

*-prefix/


### Linux ###

*~


# temporary files which can be created if a process still has a handle open of a deleted file

.fuse_hidden*


# KDE directory preferences

.directory


# Linux trash folder which might appear on any partition or disk

.Trash-*


# .nfs files are created when an open file is removed but is still being accessed

.nfs*


### VisualStudioCode ###

.vscode/*

!.vscode/settings.json

!.vscode/tasks.json

!.vscode/launch.json

!.vscode/extensions.json

!.vscode/*.code-snippets


# Local History for Visual Studio Code

.history/


# Built Visual Studio Code Extensions

*.vsix


### VisualStudioCode Patch ###

# Ignore all local history of files

.history

.ionide


# Support for Project snippet scope


### Windows ###

# Windows thumbnail cache files

Thumbs.db

Thumbs.db:encryptable

ehthumbs.db

ehthumbs_vista.db


# Dump file

*.stackdump


# Folder config file

[Dd]esktop.ini


# Recycle Bin used on file shares

$RECYCLE.BIN/


# Windows Installer files

*.cab

*.msi

*.msix

*.msm

*.msp


# Windows shortcuts

*.lnk


# End of https://www.toptal.com/developers/gitignore/api/windows,linux,visualstudiocode,cmake
